Bug 1076829
| Summary: | [abrt] bash: sigchld_handler(): bash killed by SIGSEGV | ||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| Product: | [Fedora] Fedora | Reporter: | Fict Hostus <fict.hostus> | ||||||||||||||||||||||||
| Component: | bash | Assignee: | Ondrej Oprala <ooprala> | ||||||||||||||||||||||||
| Status: | CLOSED INSUFFICIENT_DATA | QA Contact: | Fedora Extras Quality Assurance <extras-qa> | ||||||||||||||||||||||||
| Severity: | unspecified | Docs Contact: | |||||||||||||||||||||||||
| Priority: | unspecified | ||||||||||||||||||||||||||
| Version: | 20 | CC: | admiller, fict.hostus, ooprala, ovasik | ||||||||||||||||||||||||
| Target Milestone: | --- | ||||||||||||||||||||||||||
| Target Release: | --- | ||||||||||||||||||||||||||
| Hardware: | x86_64 | ||||||||||||||||||||||||||
| OS: | Unspecified | ||||||||||||||||||||||||||
| URL: | https://retrace.fedoraproject.org/faf/reports/bthash/e7cb680de792f779920c58dcb3996bd623f7ab85 | ||||||||||||||||||||||||||
| Whiteboard: | abrt_hash:9368da51df37e73a0622986edd33c13b2259988c | ||||||||||||||||||||||||||
| Fixed In Version: | Doc Type: | Bug Fix | |||||||||||||||||||||||||
| Doc Text: | Story Points: | --- | |||||||||||||||||||||||||
| Clone Of: | Environment: | ||||||||||||||||||||||||||
| Last Closed: | 2014-05-19 08:19:19 UTC | Type: | --- | ||||||||||||||||||||||||
| Regression: | --- | Mount Type: | --- | ||||||||||||||||||||||||
| Documentation: | --- | CRM: | |||||||||||||||||||||||||
| Verified Versions: | Category: | --- | |||||||||||||||||||||||||
| oVirt Team: | --- | RHEL 7.3 requirements from Atomic Host: | |||||||||||||||||||||||||
| Cloudforms Team: | --- | Target Upstream Version: | |||||||||||||||||||||||||
| Embargoed: | |||||||||||||||||||||||||||
| Attachments: |
|
||||||||||||||||||||||||||
Created attachment 874786 [details]
File: backtrace
Created attachment 874787 [details]
File: cgroup
Created attachment 874788 [details]
File: core_backtrace
Created attachment 874789 [details]
File: dso_list
Created attachment 874790 [details]
File: environ
Created attachment 874791 [details]
File: exploitable
Created attachment 874792 [details]
File: limits
Created attachment 874793 [details]
File: maps
Created attachment 874794 [details]
File: open_fds
Created attachment 874795 [details]
File: proc_pid_status
Created attachment 874796 [details]
File: var_log_messages
Hi and thanks for the report. Could you please try the bash version in rawhide? bash-4.3 has reworked the signal handling a great deal and it just might solve the problem. Thank you. The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days |
Description of problem: happening when i boot computer Version-Release number of selected component: bash-4.2.45-4.fc20 Additional info: reporter: libreport-2.1.12 backtrace_rating: 4 cmdline: /bin/sh -c 'if grep \'^TracerPid:[[:space:]]*[123456789]\' proc_pid_status >/dev/null 2>&1; then\n # We see \'TracerPid: <nonzero>\" in /proc/PID/status\n # Process is ptraced (gdb, strace, ltrace)\n # Debuggers have wide variety of bugs where they leak SIGTRAP\n # to traced process and nuke it. Ignore this crash.\n echo \"The crashed process was ptraced - not saving the crash\"\n exit 1 # abrt will remove the problem directory\n fi\n if grep -q ^ABRT_IGNORE_ALL=1 environ \\\n || grep -q ^ABRT_IGNORE_CCPP=1 environ \\\n ; then\n echo \"ABRT_IGNORE variable is 1 - not saving the crash\"\n # abrtd will delete the problem directory when we exit nonzero:\n exit 1\n fi\n # Try generating backtrace, if it fails we can still use\n # the hash generated by abrt-action-analyze-c\n ##satyr migration:\n #satyr abrt-create-core-stacktrace \"$DUMP_DIR\"\n abrt-action-generate-core-backtrace\n # Run GDB plugin to see if crash looks exploitable\n abrt-action-analyze-vulnerability\n # Generate hash\n abrt-action-analyze-c &&\n abrt-action-list-dsos -m maps -o dso_list &&\n (\n # Try to save relevant log lines.\n # Can\'t do it as analyzer step, non-root can\'t read log.\n executable=`cat executable` &&\n base_executable=${executable##*/} &&\n # Test if the current version of journalctl has --system switch\n journalctl --system -n1 >/dev/null\n if [ $? -ne 0 ];\n then\n # It\'s not an error if /var/log/messages isn\'t readable:\n test -f /var/log/messages || exit 0\n test -r /var/log/messages || exit 0\n log=`grep -F -e \"$base_executable\" /var/log/messages | tail -99`\n else\n uid=`cat uid` &&\n log=\"[System Logs]:\\n\" &&\n log=$log`journalctl -b --system | grep -F -e \"$base_executable\" | tail -99` &&\n log=$log\"\\n[User Logs]:\\n\" &&\n log=$log`journalctl _UID=\"$uid\" -b | grep -F -e \"$base_executable\" | tail -99` &&\n log=`echo -e \"$log\"`\n fi\n if test -n \"$log\"; then\n printf \"%s\\n\" \"$log\" >var_log_messages\n # echo \"Element \'var_log_messages\' saved\"\n fi\n )' crash_function: sigchld_handler executable: /usr/bin/bash kernel: 3.13.5-202.fc20.x86_64 runlevel: N 5 type: CCpp uid: 0 Truncated backtrace: Thread no. 1 (6 frames) #0 sigchld_handler at jobs.c:3044 #2 __sigprocmask at ../sysdeps/unix/sysv/linux/x86_64/sigprocmask.c:39 #3 wait_for at jobs.c:2616 #4 execute_command_internal at execute_cmd.c:787 #5 parse_and_execute at evalstring.c:319 #6 run_one_command at shell.c:1325